const {
  windowHeight,
  titleBarHeight,
  statusBarHeight
} = my.getSystemInfoSync();
const pageHeight = windowHeight - titleBarHeight - statusBarHeight;
Component({
  props: {
    hasHeight: false
  },
  data: {
    containerStyle: ''
  },

  didMount() {
    this.setContainerMinHeight();
  },

  methods: {
    setContainerMinHeight() {
      const {
        hasHeight
      } = this.props;
      this.setData({
        containerStyle: hasHeight ? `min-height:${pageHeight}px` : ''
      });
    }

  }
});